var rdb, standardConfig, utils;

utils = require('./utils');

rdb = require('rethinkdb');

standardConfig = {
  database: {
    host: "localhost",
    port: 28015,
    name: "TutorDB"
  }
};

module.exports = function(con, config) {
  var conf;
  config = config || standardConfig;
  conf = {
    host: config.database.host,
    port: config.database.port,
    db: config.database.name
  };
  return {
    Connection: con,
    Corrections: (require('./corrections'))(con, config),
    Exercises: (require('./exercises'))(con, config),
    Users: (require('./users'))(con, config),
    Groups: (require('./groups'))(con, config),
    Manage: (require('./manage'))(con, config),
    Jobs: (require('./jobs'))(con, config),
    Rethinkdb: rdb,
    Utils: {
      Empty: function() {
        return utils.empty(con, conf);
      },
      Init: function() {
        return (new Promise(function(resolve) {
          rdb.dbCreate(conf.db).run(con).then(resolve)["catch"](resolve);
        })).then(function() {
          return utils.init(con, conf);
        });
      },
      Load: function(data) {
        return utils.load(con, data);
      }
    }
  };
};
