var _, moment, rdb, utils;

_ = require('lodash');

rdb = require('rethinkdb');

moment = require('moment');

utils = require('./utils');

module.exports = function(con, config) {
  return {
    addJob: function(name, type, data) {
      return rdb.table("Jobs").insert({
        name: name,
        type: type,
        data: data
      }).run(con);
    },
    getJob: function(id) {
      return rdb.table("Jobs").get(id).run(con);
    },
    setJob: function(id, name, type, data) {
      return rdb.table("Jobs").get(id).update({
        name: name,
        type: type,
        data: data
      }).run(con);
    },
    removeJob: function(id) {
      return rdb.table("Jobs").get(id)["delete"]().run(con);
    },
    getAllJobs: function() {
      return rdb.table("Jobs").coerceTo('array').run(con);
    }
  };
};
